%define name perl-Mail-Sender
%define realname Mail-Sender
%define version 0.8.04
%define release 2mdk

Name:		%{name}
Summary:	Mail-Sender module for perl (Mail_and_Usenet_News/Mail)
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{realname}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot
Buildarch:	noarch

%description
Mail-Sender is a Perl module for sending mail with attachments through an
SMTP server.  This module will not work with qmail servers, however.


%prep -q
rm -rf $RPM_BUILD_ROOT

%setup -n %{realname}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install

rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%{perl_vendorlib}/Mail/*
%{_mandir}/*/*


%changelog
* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.04-2mdk
- rebuild

* Fri Jan 17 2003 Franois Pons <fpons@mandrakesoft.com> 0.8.04-1mdk
- 0.8.04.

* Wed Jul 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.14.1-1mdk
- 0.7.14.1

* Fri Mar 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.12-1mdk
- 0.7.12

* Thu Mar 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.10-1mdk
- updated to 0.7.10

* Wed Sep 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.04-4mdk
- fix install

* Fri Jul 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.04-3mdk
- fix files section

* Fri May 5 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.7.04-2mdk
- fix group

* Wed Mar 8 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.7.04

* Tue Mar 7 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
